﻿var fbyxSoftAPI = {
    //点击应用通知软件端修改皮肤
    //resourceType=资源类型值
    UpdateResource: function (resourceType) {
        try {
            return window.external.UpdateResource(resourceType);
        } catch (e) {
            alert("UpdateResource:" + e.message);
        }
        return 0;
    },
    //应用英雄皮肤
    UseHeroSkin: function (heroName, skinCode, heroId, skinId) {
        try {
            return window.external.UseHeroSkin(heroName, skinCode, heroId.toString(), skinId.toString());
        } catch (e) { alert("UseHeroSkin:" + e.message); }
        return 0;
    },
    //应用坐骑皮肤
    UseRidingSkin: function (SkinCodeValue, skinId) {
        try {
            return window.external.UseRidingSkin(SkinCodeValue.toString(), skinId.toString());
        } catch (e) { alert("UseRidingSkin:" + e.message); }
        return 0;
    },
    //还原英雄皮肤
    ResetHeroSkin: function () {
        try {
            return window.external.ResetHeroSkin();
        } catch (e) { alert("ResetHeroSkin:" + e.message); }
        return 0;
    },
    //还原坐骑皮肤
    ResetRidingSkin: function () {
        return window.external.ResetRidingSkin();
    },
    //获取英雄皮肤使用状态 , 返回 {HeroName:"",SkinCode:"",HeroId:"",SkinId:""}
    GetCurtHeroSkin: function (heroId) {
        try {
            return $.parseJSON(window.external.GetCurtHeroSkin(heroId));
        } catch (e) {
            alert("GetCurtHeroSkin:" + e.message);
        }
        return null;
    },
    //获取用户最后应用英雄皮肤的使用状态 , 返回 {HeroName:"",SkinCode:"",HeroId:"",SkinId:""}
    GetLastHeroSkin: function () {
        try {
            return $.parseJSON(window.external.GetLastHeroSkin());
        } catch (e) { alert("GetLastHeroSkin:" + e.message); }
        return null;
    },
    //获取用户最后使用坐骑皮肤的使用状态 , 返回 {SkinCodeValue:"",SkinId:""}
    GetLastRidingSkin: function () {
        try {
            return $.parseJSON(window.external.GetLastRidingSkin());
        } catch (e) { alert("GetLastRidingSkin:" + e.message); }
        return null;
    }
}