﻿window.IsIE6 = navigator.userAgent.indexOf("MSIE 6.0") > -1;
//获取鼠标滚轮的滚动方向,1为向下,-1为向上
function getWheelDir(e) {
    e = e || window.event;
    if (e.wheelDelta) return e.wheelDelta / -120;
    else if (e.detail) return e.detail / 3;
}


String.prototype.values = function(name) {
    if (this == null) return null;
    if (!this.nameVals) {
        this.nameVals = {};
        var tmp = this.split('&');
        for (var i = 0; i < tmp.length; i++) {
            var tmp2 = tmp[i].split('=');
            var n = unescape(tmp2[0]);
            var v = tmp2.length >= 2 ? unescape(tmp2[1]) : "";
            this.nameVals[n] = v;
        }
    }
    return this.nameVals[name];
}
function toQueryString(obj) {
    if (obj == null) return "";
    var str = "", sp = "";
    for (var i in obj) {
        var v = obj[i];
        if (typeof (v) != "function") {
            try {
                str += sp + escape(i) + "=" + escape(v);
                sp = "&";
            } catch (e) {
                alert(obj + "|" + i + "|" + v);
            }
        }
    }
    return str;
}
function tryGetObj(str) {
    var dv = null;
    try { dv = JSON.parse(str); } catch (e) { }
    return dv;
}
function getJsonCallBack(succeedBack, errBack, aftBack) {
    return function(data) {
        if (aftBack) aftBack();
        var dv = tryGetObj(data);
        if (dv == null) {
            if (errBack) errBack();
            alert("服务器维护！部分功能暂时无法使用，请稍后再试！");
        }
        else {
            if (succeedBack) succeedBack(dv);
        }
    };
}

/********************************************
* 获取元素绝对位置
********************************************/
function GetPos(obj, dis) {
    if (!dis && obj.getBoundingClientRect) {
        var pos = obj.getBoundingClientRect(), d = document;
        return { left: pos.left + (d.documentElement.scrollLeft | d.body.scrollLeft)
				, top: pos.top + (d.documentElement.scrollTop | d.body.scrollTop)
        }
    }
    var curleft = obj.offsetLeft || 0;
    var curtop = obj.offsetTop || 0;
    while (obj = obj.offsetParent) { curleft += eval(obj.offsetLeft); curtop += obj.offsetTop; }
    return { left: curleft, top: curtop };
}

//无法加载图片处理
var M = { loadDefaultFace: function(a) { if (a.src == "http://soft.jdbbx.com/Pages/handPage/ToolImages/icon/icon_listb_03.gif") return false; a.src = "http://soft.jdbbx.com/Pages/handPage/ToolImages/icon/icon_listb_03.gif" } }
/********************************************
* 页面固定位置跟随滚动
********************************************/
/*
appendToBody:移动到body,如果这个元素外面有绝对/相对定位的层,就需要将此项设置为true
fixedPosition:"RightBottom",固定在页面上的位置,LeftBottom,RightTop,LeftTop
reX:偏移的X坐标
reY:偏移的Y坐标
*/
var FixedFollow = function(obj, opt) {
    opt = $.extend({
        appendToBody: false,
        fixedPosition: "RightBottom",
        reX: 0,
        reY: 0,
        useAnim: true
    }, opt);

    var jobj = $(obj), d = document;

    if (opt.appendToBody) jobj.appendTo(d.body);
    jobj.each(function(i, n) {
        $(n).css({ position: "absolute" });
    });

    this.followAnim = function(time, done) {

        if (time == undefined) time = 500;
        jobj.each(function(i, n) {
            var j = $(n), p = setFixePos(n), pos = { left: p.fixeLeft + "px", top: p.fixeTop + "px" };
            if (done) j.css(pos);
            else j.stop().animate(pos, time);
        });
    }
    function setFixePos(s) {
        var bodE = d.documentElement ? d.documentElement : d.body;
        var winSize = getWinSize();
        var w = winSize.winW;
        var h = winSize.winH;
        var top = bodE.scrollTop;
        if (navigator.userAgent.indexOf("Chrome") > 0) {
            top = d.body.scrollTop;
        }
        var left = bodE.scrollLeft;
        var fixeLeft = 0, fixeTop = 0;
        switch (opt.fixedPosition) {
            case "RightBottom":
                fixeTop = (top + (h - s.offsetHeight) - opt.reY);
                fixeLeft = (left + (w - s.offsetWidth) - opt.reX);
                break;
            case "LeftBottom":
                fixeTop = (top + (h - s.offsetHeight) - opt.reY);
                fixeLeft = (left + opt.reX);
                break;
            case "RightTop":
                fixeTop = (top + opt.reY);
                fixeLeft = (left + (w - s.offsetWidth) - opt.reX);
                break;
            case "LeftTop":
                fixeTop = (top + opt.reY);
                fixeLeft = (left + opt.reX);
                break;
        }
        return { fixeLeft: fixeLeft, fixeTop: fixeTop };
    }
    var t = this;
    function wFollowAnim(ev) {
        setTimeout(function() { t.followAnim(null, ev.data && ev.data.done); }, 1);
    }
    $(d).scroll(wFollowAnim).bind("resize", wFollowAnim);
    $(d.body).scroll(wFollowAnim).bind("resize", { done: true }, wFollowAnim);
    $(window).scroll(wFollowAnim).bind("resize", { done: true }, wFollowAnim);
    t.followAnim(0);
}

/********************************************
* 获取窗体/页面尺寸,W3C标准
********************************************/
function getWinSize() {
    var pageH = document.documentElement.offsetHeight;
    if (document.body.offsetHeight > pageH) pageH = document.body.offsetHeight;
    if (document.documentElement.scrollHeight > pageH) pageH = document.documentElement.scrollHeight;
    if (document.body.scrollHeight > pageH) pageH = document.body.scrollHeight;

    if (document.documentElement.clientHeight > pageH) pageH = document.documentElement.clientHeight;
    if (document.body.clientHeight > pageH) pageH = document.body.clientHeight;

    return {
        winW: document.documentElement.clientWidth,
        winH: document.documentElement.clientHeight,
        pageW: Math.max(document.documentElement.offsetWidth, document.body.offsetWidth),
        pageH: pageH,
        scrollT: Math.max(document.documentElement.scrollTop, document.body.scrollTop),
        scrollL: Math.max(document.documentElement.scrollLeft, document.body.scrollLeft)
    };
}
/********************************************
* 浮动显示页面(DIV显示)
* closing:返回true表示停止关闭
********************************************/
function FloatDiv(div, opt) {
    var t = this;
    opt = $.extend({
        closeSel: ".close",
        bgClass: "floatBoxBg", autoShow: false, prependTo: document.body, closing: null, closeBack: null, pageDocument: document, setPosBack: null
        , hideScroller: false
    }, opt);

    div = $(div);
    window.__FloatDivZIndex = window.__FloatDivZIndex || 99998;
    var ov = null, bd = $("html,body"), closeBackAppD = null;
    if (opt.pageDocument != document) {
        var divE = opt.pageDocument.createElement("div");
        var ovE = opt.pageDocument.createElement("div");
        opt.pageDocument.body.appendChild(ovE);
        opt.pageDocument.body.appendChild(divE);
        divE.className = div[0].className;
        divE.style.cssText = div[0].style.cssText;
        divE.innerHTML = div.html();
        div = $(divE);
        ov = $(ovE)
    } else {
        if (opt.prependTo) $(opt.prependTo).prepend(div);
        ov = $("<div></div>").prependTo(opt.pageDocument.body);
    }
    function hideScl() {
        if (opt.hideScroller) {
            bd.each(function(i, n) {
                if (!n.cssOv) { n.cssOv = $(n).css("overflow"); if (n.cssOv == "scroll") n.cssOv = "auto"; }
                if (!n.cssOv) n.cssOv = "visible";
                var st = n.scrollTop;
                $(n).css({ overflow: "hidden" });
                n.scrollTop = st;
            });
        }
    }
    function showScl() {
        if (opt.hideScroller) {
            bd.each(function(i, n) {
                var st = n.scrollTop;
                $(n).css({ overflow: n.cssOv });
                n.scrollTop = st;
            });
            $(window).resize();
        }
    }
    ov.addClass(opt.bgClass).css({ "position": "absolute", "z-index": "99998", "display": "none", "background": "#000", "opacity": "0.7" });

    $(window).unload(function() { div.remove(); ov.remove(); });

    var setPos = function() {
        var winSize = getWinSize(opt.pageDocument);
        div.css({
            left: ((winSize.winW - div[0].offsetWidth) / 2 + winSize.scrollL) + "px", top: ((winSize.winH - div[0].offsetHeight) / 2 + winSize.scrollT) + "px"
        })
        if (opt.hideScroller) {
            ov.css({ width: winSize.winW + "px", height: winSize.winH + "px", top: winSize.scrollT + "px", left: winSize.scrollL + "px" });
        } else {
            ov.css({ width: winSize.winW + "px", height: winSize.pageH + "px", top: 0, left: 0 });
        }
        if(opt.setPosBack)opt.setPosBack();
    }
    t.show = function (closeAppData) {
        ov.show().css({ "z-index": ++window.__FloatDivZIndex });
        div.show().css({ "z-index": ++window.__FloatDivZIndex });
        hideScl();
        setPos();

    };
    t.fadeIn = function (time, bk, closeBackAppData) {
        time = time || "slow";
        closeBackAppD = closeBackAppData;

        ov.fadeIn(time).css({ "z-index": ++window.__FloatDivZIndex });
        div.fadeIn(time, function () { setPos(); if (bk) bk(); }).css({ "z-index": ++window.__FloatDivZIndex });
        hideScl();
        setPos();
    }
    t.hide = function () {
        if (opt.closing && opt.closing() == false) return;
        ov.hide();
        div.hide();
        showScl();
        if (opt.closeBack) opt.closeBack(this, closeBackAppD);
    };
    t.getBox = function() { return div; };
    $(opt.prependTo).prepend(div);
    // ov.click(t.hide);
    div.css({ "position": "absolute", "z-index": "99999", "display": "none" });
    if (opt.autoShow) t.show();
    $(window).resize(setPos).resize();
    t.setCloseBack = function(fn) {
        opt.closeBack = fn;
    }
    if (opt.closeSel) div.delegate(opt.closeSel, "click", t.hide);
}

/********************************************
* 浮动显示页面(DIV显示)
* closing:返回true表示停止关闭
********************************************/
function FloatDivV2(div, opt) {
    var t = this;
    opt = $.extend({
        closeSel: "",
        bgClass: "floatBoxBg", autoShow: false, prependTo: document.body, closing: null, closeBack: null, pageDocument: document,setPosBack:null
        , hideScroller: false
    }, opt);

    div = $(div);
    var ov = null, bd = $("html,body");
    if (opt.pageDocument != document) {
        var divE = opt.pageDocument.createElement("div");
        var ovE = opt.pageDocument.createElement("div");
        opt.pageDocument.body.appendChild(ovE);
        opt.pageDocument.body.appendChild(divE);
        divE.className = div[0].className;
        divE.style.cssText = div[0].style.cssText;
        divE.innerHTML = div.html();
        div = $(divE);
        ov = $(ovE)
    } else {
        if (opt.prependTo) $(opt.prependTo).prepend(div);
        ov = $("<div></div>").prependTo(opt.pageDocument.body);
    }
    function hideScl() {
        if (opt.hideScroller) {
            bd.each(function(i, n) {
                if (!n.cssOv) { n.cssOv = $(n).css("overflow"); if (n.cssOv == "scroll") n.cssOv = "auto"; }
                if (!n.cssOv) n.cssOv = "visible";
                var st = n.scrollTop;
                $(n).css({ overflow: "hidden" });
                n.scrollTop = st;
            });
        }
    }
    function showScl() {
        if (opt.hideScroller) {
            bd.each(function(i, n) {
                var st = n.scrollTop;
                $(n).css({ overflow: n.cssOv });
                n.scrollTop = st;
            });
            $(window).resize();
        }
    }
    ov.addClass(opt.bgClass).css({ "position": "absolute", "z-index": "40", "display": "none", "background": "#000", "opacity": "0.7" });

    $(window).unload(function() { div.remove(); ov.remove(); });

    var setPos = function() {
        var winSize = getWinSize(opt.pageDocument);
        div.css({
            left: ((winSize.winW - div[0].offsetWidth) / 2 + winSize.scrollL) + "px", top: ((winSize.winH - div[0].offsetHeight) / 2 + winSize.scrollT) + "px"
        })
        if (opt.hideScroller) {
            ov.css({ width: winSize.winW + "px", height: winSize.winH + "px", top: winSize.scrollT + "px", left: winSize.scrollL + "px" });
        } else {
            ov.css({ width: winSize.winW + "px", height: winSize.pageH + "px", top: 0, left: 0 });
        }
        if(opt.setPosBack)opt.setPosBack();
    }
    t.show = function() {
        ov.show();
        div.show();
        hideScl();
        setPos();
    };
    t.fadeIn = function(time) {
        ov.fadeIn("slow");
        div.fadeIn("slow");
        hideScl();
        setPos();
    }
    t.hide = function() {
        if (opt.closing && opt.closing() == false) return;
        ov.hide();
        div.hide();
        showScl();
        if (opt.closeBack) opt.closeBack();
    };
    t.getBox = function() { return div; };
    $(opt.prependTo).prepend(div);
    // ov.click(t.hide);
    div.css({ "position": "absolute", "z-index": "50", "display": "none" });
    if (opt.autoShow) t.show();
    $(window).resize(setPos).resize();
    t.setCloseBack = function(fn) {
        opt.closeBack = fn;
    }
    if (opt.closeSel) div.find(opt.closeSel).click(t.hide);
}
